Package com.sun.messaging.jms

# Class JMSSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.jms.JMSException
jakarta.jms.JMSSecurityException
com.sun.messaging.jms.JMSSecurityException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `Serializable`

public class JMSSecurityException extends jakarta.jms.JMSSecurityException implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception must be thrown when a provider rejects a user name/password submitted by a client. It may also be thrown for any case where a security restriction prevents a method from completing.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMSSecurityException(String reason)`
  Constructs a `JMSSecurityException` with the specified reason and with the error code defaulting to null.
  `JMSSecurityException(String reason, String errorCode)`
  Constructs a `JMSSecurityException` with the specified reason and error code.
  `JMSSecurityException(String reason, String errorCode, Throwable cause)`
  Constructs a `JMSSecurityException` with the specified reason, error code, and a specified cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  get logging state of this object.
  `void`
  `printStackTrace()`
  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSSecurityException` and obtained via `jakarta.jms.JMSException.getLinkedException()`
  `void`
  `printStackTrace(PrintStream s)`
  `void`
  `printStackTrace(PrintWriter s)`
  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSSecurityException` and obtained via `JMSException.getLinkedException()`
  `void`
  `setLinkedException(Exception ex)`
  If running under J2SE1.4 or above, this method will also set the cause of the `JMSSecurityException`.
  `void`
  `setLogState(boolean state)`
  set state to true if this object is logged.

  ### Methods inherited from class jakarta.jms.JMSException

  `getErrorCode, getLinkedException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMSSecurityException

    public JMSSecurityException(String reason, String errorCode)
    Constructs a `JMSSecurityException` with the specified reason and error code.
    Parameters:
      `reason` - a description of the exception
      `errorCode` - a string specifying the vendor-specific error code

  - ### JMSSecurityException

    public JMSSecurityException(String reason)
    Constructs a `JMSSecurityException` with the specified reason and with the error code defaulting to null.
    Parameters:
      `reason` - a description of the exception

  - ### JMSSecurityException

    public JMSSecurityException(String reason, String errorCode, Throwable cause)
    Constructs a `JMSSecurityException` with the specified reason, error code, and a specified cause.
    Parameters:
      `reason` - a description of the exception
      `errorCode` - a string specifying the vendor-specific error code
      `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

- ## Method Details

  - ### setLinkedException

    public void setLinkedException(Exception ex)

    If running under J2SE1.4 or above, this method will also set the cause of the `JMSSecurityException`. When a backtrace of the `JMSSecurityException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

    Overrides:
      `setLinkedException` in class `jakarta.jms.JMSException`

  - ### printStackTrace

    public void printStackTrace()

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSSecurityException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintStream s)

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSSecurityException` and obtained via `jakarta.jms.JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintWriter s)

    If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `JMSSecurityException` and obtained via `JMSException.getLinkedException()`

    Overrides:
      `printStackTrace` in class `Throwable`

  - ### setLogState

    public void setLogState(boolean state)
    set state to true if this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - boolean

  - ### getLogState

    public boolean getLogState()
    get logging state of this object.
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      boolean true if this object is logged.